#       Makefile for $(DENNOUDIR)/util/gt3-dcl5/src/gptool
#

include ../../Mkinclude

FFLAGS 	      = $(STDFFLAGS) -I$(INCDIR)

CFLAGS        = $(STDCFLAGS) -I$(INCDIR)

CPPFLAGS      = $(STDCPPFLAGS) -I$(INCDIR)

EXTHDRS	      = $(INCDIR)/gziwrk.F \
		$(INCDIR)/gzsize.F

HDRS	      =

MAKEFILE      = Makefile

OBJS	      = gpasps.o \
		gpaxdf.o \
		gpaxdv.o \
		gpaydf.o \
		gpaydv.o \
		gpcal1.o \
		gpcal2.o \
		gpcal3.o \
		gpcal4.o \
		gpeyxz.o \
		gpfadd.o \
		gpfcon.o \
		gpfdiv.o \
		gpffct.o \
		gpffna.o \
		gpffnb.o \
		gpfinc.o \
		gpfmlt.o \
		gpfset.o \
		gpfsub.o \
		gpmiss.o \
		gptavg.o \
		gptseq.o \
		gpxavg.o \
		gpxcom.o \
		gpxcyc.o \
		gpxedy.o \
		gpxexp.o \
		gpxext.o \
		gpxrdc.o \
		gpxsel.o \
		gpyavg.o \
		gpycom.o \
		gpyedy.o \
		gpyexp.o \
		gpyext.o \
		gpyrdc.o \
		gpysel.o \
		gpzavg.o \
		gpzcom.o \
		gpzedy.o \
		gpzexp.o \
		gpzext.o \
		gpzrdc.o \
		gpzsel.o

SRCS	      = gpasps.F \
		gpaxdf.F \
		gpaxdv.F \
		gpaydf.F \
		gpaydv.F \
		gpcal1.F \
		gpcal2.F \
		gpcal3.F \
		gpcal4.F \
		gpeyxz.F \
		gpfadd.F \
		gpfcon.F \
		gpfdiv.F \
		gpffct.F \
		gpffna.F \
		gpffnb.F \
		gpfinc.F \
		gpfmlt.F \
		gpfset.F \
		gpfsub.F \
		gpmiss.F \
		gptavg.F \
		gptseq.F \
		gpxavg.F \
		gpxcom.F \
		gpxcyc.F \
		gpxedy.F \
		gpxexp.F \
		gpxext.F \
		gpxrdc.F \
		gpxsel.F \
		gpyavg.F \
		gpycom.F \
		gpyedy.F \
		gpyexp.F \
		gpyext.F \
		gpyrdc.F \
		gpysel.F \
		gpzavg.F \
		gpzcom.F \
		gpzedy.F \
		gpzexp.F \
		gpzext.F \
		gpzrdc.F \
		gpzsel.F

all: 		$(LIBRARY)

$(LIBRARY):	$(OBJS)
		$(AR) $(LIBRARY) $(OBJS)
		$(RANLIB) $(LIBRARY)

clean:
		rm -f *.o *~ core *.trace *.f

index:
		@$(INDEX) $(HDRS) $(SRCS)

print:		$(PRINTSTAMP)

$(PRINTSTAMP): $(HDRS) $(SRCS)
		$(PRINT) $?
		$(TOUCH) $(PRINTSTAMP)

tags:
		@$(TAGS) $(HDRS) $(SRCS)

pack:	$(PACKFILE) packs

packs: $(SRCS:.F=.pac)
	$(MD) $(PACKDIR)
	$(MV) $(PACKFILE) $(PACKDIR)/gptool

$(PACKFILE):
	$(RM) $(PACKFILE)
	$(TOUCH) $(PACKFILE)

###
gpaxdf.o: $(INCDIR)/gzsize.F $(INCDIR)/gpainc.F
gpaxdv.o: $(INCDIR)/gzsize.F $(INCDIR)/gpainc.F
gpaydf.o: $(INCDIR)/gzsize.F $(INCDIR)/gpainc.F
gpaydv.o: $(INCDIR)/gzsize.F $(INCDIR)/gpainc.F
gpcal1.o: $(INCDIR)/gzsize.F
gpcal2.o: $(INCDIR)/gzsize.F
gpcal3.o: $(INCDIR)/gzsize.F
gpcal4.o: $(INCDIR)/gzsize.F
gpeyxz.o: $(INCDIR)/gzsize.F
gpfadd.o: $(INCDIR)/gzsize.F
gpfdiv.o: $(INCDIR)/gzsize.F
gpffct.o: $(INCDIR)/gzsize.F
gpffna.o: $(INCDIR)/gzsize.F
gpffnb.o: $(INCDIR)/gzsize.F
gpfinc.o: $(INCDIR)/gzsize.F
gpfmlt.o: $(INCDIR)/gzsize.F
gpfsub.o: $(INCDIR)/gzsize.F
gptavg.o: $(INCDIR)/gzsize.F
gptseq.o: $(INCDIR)/gzsize.F
gpxavg.o: $(INCDIR)/gzsize.F $(INCDIR)/gziwrk.F
gpxcom.o: $(INCDIR)/gzsize.F
gpxcyc.o: $(INCDIR)/gzsize.F
gpxedy.o: $(INCDIR)/gzsize.F $(INCDIR)/gziwrk.F
gpxexp.o: $(INCDIR)/gzsize.F
gpxext.o: $(INCDIR)/gzsize.F
gpxrdc.o: $(INCDIR)/gzsize.F
gpxsel.o: $(INCDIR)/gzsize.F
gpyavg.o: $(INCDIR)/gzsize.F $(INCDIR)/gziwrk.F
gpycom.o: $(INCDIR)/gzsize.F
gpyedy.o: $(INCDIR)/gzsize.F $(INCDIR)/gziwrk.F
gpyexp.o: $(INCDIR)/gzsize.F
gpyext.o: $(INCDIR)/gzsize.F
gpyrdc.o: $(INCDIR)/gzsize.F
gpysel.o: $(INCDIR)/gzsize.F
gpzavg.o: $(INCDIR)/gzsize.F $(INCDIR)/gziwrk.F
gpzcom.o: $(INCDIR)/gzsize.F
gpzedy.o: $(INCDIR)/gzsize.F $(INCDIR)/gziwrk.F
gpzexp.o: $(INCDIR)/gzsize.F
gpzext.o: $(INCDIR)/gzsize.F
gpzrdc.o: $(INCDIR)/gzsize.F
gpzsel.o: $(INCDIR)/gzsize.F

